Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454022 - Review Request: coccinella - Chat client with whiteboard
Summary: Review Request: coccinella - Chat client with whiteboard
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orcan Ogetbil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 454008 454010 454011 454012 454014 454015 454017 454018 454019 454020
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-03 20:23 UTC by Tom "spot" Callaway
Modified: 2009-04-13 19:46 UTC (History)
4 users (show)

Fixed In Version: 0.96.12-2.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-04-13 19:40:27 UTC
oget.fedora: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2008-07-03 20:23:03 UTC
Spec URL: http://auroralinux.org/people/spot/review/coccinella/coccinella.spec
SRPM URL: http://auroralinux.org/people/spot/review/coccinella/coccinella-0.96.8-1.fc10.src.rpm
Description: 
Coccinella is a free and open-source cross-platform chat client with a built-in
whiteboard for improved collaboration with other people. Other key features of
Coccinella include:
* File transfer
* Plugin system
* Group chat (MUC)
* Avatars and emoticons
* Multi-lingual and internationalized
* Secured connections (TLS and SASL)
* Open standard instant messaging protocol (Jabber/XMPP)

Comment 1 Jeff Moe (jebba) 2008-08-24 22:47:29 UTC
BuildRequires: desktop-file-utils

Comment 3 Jeff Moe (jebba) 2008-11-03 03:22:20 UTC
I built this and the various packages missing from fedora on a fedora 9ish system. Running coccinella I'm getting this:

thirsty:~$ DISPLAY=:0.0 coccinella
Error in startup script: version conflict for package "xml": have 3.1, need 99.0
    while executing
"package require xml 99.0"
    (file "/usr/share/coccinella/jabberlib/wrapper.tcl" line 74)
    invoked from within
"source /usr/share/coccinella/jabberlib/wrapper.tcl"
    ("package ifneeded wrapper 1.2" script)
    invoked from within
"package require wrapper"
    (file "/usr/share/coccinella/jabberlib/jabberlib.tcl" line 147)
    invoked from within
"source /usr/share/coccinella/jabberlib/jabberlib.tcl"
    ("package ifneeded jlib 2.0" script)
    invoked from within
"package require jlib"
    (file "/usr/share/coccinella/jabber/Jabber.tcl" line 31)
    invoked from within
"source /usr/share/coccinella/jabber/Jabber.tcl"
    ("package ifneeded Jabber 1.0" script)
    invoked from within
"package require Jabber"
    (file "/usr/bin/coccinella" line 260)


My builds are here:
http://freeeee.org/source/ http://freeeee.org/i386/

Comment 5 Jeff Moe (jebba) 2008-11-03 16:46:57 UTC
It's segfaulting on me. Right after "Set and read preferences" in the splash screen. Here's the end of the strace, if that helps at all:

5141  lstat64("/usr", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
5141  lstat64("/usr/share", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
5141  lstat64("/usr/share/coccinella", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
5141  lstat64("/usr/share/coccinella/iconsets", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
5141  lstat64("/usr/share/coccinella/iconsets/emoticons", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
5141  lstat64("/usr/share/coccinella/iconsets/emoticons/default", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
5141  open("/usr/share/coccinella/iconsets/emoticons/default/face-smile.png", O_RDONLY|O_LARGEFILE) = 4
5141  fcntl64(4, F_SETFD, FD_CLOEXEC)   = 0
5141  ioctl(4, SNDCTL_TMR_TIMEBASE or TCGETS, 0xbfe77d68) = -1 ENOTTY (Inappropriate ioctl for device)
5141  _llseek(4, 0, [0], SEEK_SET)      = 0
5141  read(4, "\211PNG\r\n\32\n\0\0\0\rIHDR\0\0\0\26\0\0\0\26\20\6\0\0\0\224$\260"..., 4096) = 2609
5141  _llseek(4, 0, [0], SEEK_SET)      = 0
5141  --- SIGSEGV (Segmentation fault) @ 0 (0) ---
5141  +++ killed by SIGSEGV +++



---> ioctl(4, SNDCTL_TMR_TIMEBASE or TCGETS, 0xbfe77d68) = -1 ENOTTY (Inappropriate ioctl for device)

Comment 6 Tom "spot" Callaway 2008-11-03 17:42:12 UTC
I fixed a bug in tkimg recently that was causing behavior like this, but I think I only did it for rawhide. Can you try updating to:

http://koji.fedoraproject.org/koji/buildinfo?buildID=66555

If that resolves it, I'll do proper F-8/F-9 builds.

Comment 7 Jeff Moe (jebba) 2008-11-03 18:25:04 UTC
It at least launches ok now. I haven't tested further, but will try sometime this week.

Comment 9 Orcan Ogetbil 2009-04-07 20:30:07 UTC
spot, could you update to the latest version, so I can do the review?

Comment 11 Orcan Ogetbil 2009-04-07 23:22:20 UTC
OK. Here's my review. There are some issues but most of them are very trivial.

* The new guidelines prefer usage of %global instead of %define. But I don't think these lines are needed by this package anyways:
   %{!?tcl_version: %define tcl_version %(echo 'puts $tcl_version' | tclsh)}
   %{!?tcl_sitearch: %define tcl_sitearch %{_libdir}/tcl%{tcl_version}}
They are not used.

- the rpmlint "coccinella.noarch: E: explicit-lib-dependency tcl-zlib" can be ignored since this package really needs this explicit dependency.

* Group: System Environment/Libraries
is wrong. Should this be Applications/Internet ?

* I believe that AUTHORS.txt should go to %doc.

? Should docs/ really go to %doc? I don't know what those files are for.

* There are many files under contrib/ directory that are marked BSD and they end up in the final package. Hence, the package is GPLv3 and BSD.

* rpm -qplv coccinella-0.96.12-1.fc11.noarch.rpm |grep -- "-rwxr-xr-x"
shows a large amount of png, wav, ico and gif files with wrong executable permissions. I wonder why rpmlint doesn't complain.

* Please swap the occurrence of $RPM_BUILD_ROOT with %{buildroot} for macro consistency.

! desktop-file-validate on the .desktop file complains:
   coccinella.desktop: warning: key "Encoding" in group "Desktop Entry" is deprecated

! Also please add a Comment=something to the .desktop file to please the gnome users.

! You can use themes/Oxygen/icons/128x128/coccinella.png as the application pixmap for better quality.

? About the software: 
   - Info->Update Check shows wrong version. No big deal though.
   - Info->About Coccinella says "Looking for Img..." but it did not find it yet on my computer. No biggie either.

Comment 12 Tom "spot" Callaway 2009-04-09 17:14:26 UTC
All of the packaging issues are resolved in -2:

Updated SRPM: http://www.auroralinux.org/people/spot/review/new/coccinella-0.96.12-2.fc11.src.rpm
Updated SPEC: http://www.auroralinux.org/people/spot/review/new/coccinella.spec

Comment 13 Orcan Ogetbil 2009-04-09 19:37:04 UTC
Great

---------------------------------------------
This package (coccinella) is APPROVED by oget
---------------------------------------------

Comment 14 Tom "spot" Callaway 2009-04-09 20:15:46 UTC
New Package CVS Request
=======================
Package Name: coccinella
Short Description: Chat client with whiteboard
Owners: spot
Branches: F-9 F-10 devel
InitialCC: 

...and it's done.

Comment 15 Fedora Update System 2009-04-09 20:17:28 UTC
coccinella-0.96.12-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/coccinella-0.96.12-2.fc9

Comment 16 Fedora Update System 2009-04-09 20:17:33 UTC
coccinella-0.96.12-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/coccinella-0.96.12-2.fc10

Comment 17 Fedora Update System 2009-04-13 19:40:21 UTC
coccinella-0.96.12-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2009-04-13 19:46:35 UTC
coccinella-0.96.12-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.